CVE-2015-7744

2016-01-22T10:59:04
ID CVE-2015-7744
Type cve
Reporter NVD
Modified 2016-12-07T13:25:03

Description

wolfSSL (formerly CyaSSL) before 3.6.8 does not properly handle faults associated with the Chinese Remainder Theorem (CRT) process when allowing ephemeral key exchange without low memory optimizations on a server, which makes it easier for remote attackers to obtain private RSA keys by capturing TLS handshakes, aka a Lenstra attack.